Subject: Re: bug#2160: 23.0.60; Indentation of LOOP (cl-indent.el)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Apr 2020 06:53:30 +0200

Stefan Kangas <[email-masked]> writes:

> I just realized that the suggestion as is makes code like this indent
> weirdly:
>
>     (loop
>           for item in list
>           for i from 1 to 10
>           do (something))
>
> The better indenting in my taste would be what we have now:
>
>     (loop
>        for item in list
>        for i from 1 to 10
>        do (something))
>
> This is from an example I found online.  Not sure how common this is
> in practice.

The former looks like what I'd expect (as a Common Lisp programmer).
Except that I would never ever do a newline after "(loop ".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no